=== debian/changelog ===
xtb (6.7.0-1) unstable; urgency=medium

  * New upstream version 6.7.0

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Mar 2024 03:05:55 -0400
