=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem meson

execute_after_dh_auto_build:
	cd man && a2x --doctype manpage --format manpage xtb.1.adoc
