## xtb 6.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # Setup the xtb Project
 project(
   "xtb"
-  VERSION "6.7.0" 
+  VERSION "6.7.1" 
   LANGUAGES "C" "Fortran"
 )
