=== debian/changelog ===
xtb (6.7.1-3) unstable; urgency=medium

  * Forbid parallel builds (Closes: #1114451)

 -- Andrius Merkys <merkys@debian.org>  Tue, 16 Sep 2025 02:29:53 -0400

xtb (6.7.1-2) unstable; urgency=medium

  * Team upload
  * New patch drop_multicharge_dftd4_deps.patch removing additional build
    dependencies on multicharge and dftd4. (Closes: #1100792)

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Mar 2025 17:27:42 +0200

xtb (6.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.7.1

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2025 21:31:28 +0100
