=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/xtb-$1\.tar\.gz/ https://github.com/grimme-lab/xtb/tags .*\/v(\d\S+)\.tar\.gz
